LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
DataPilotFieldGroups Service Referencepublished

represents a collection of groups in a data pilot field. More...

`import"DataPilotFieldGroups.idl";`

Inheritance diagram for DataPilotFieldGroups:

## Exported Interfaces
interface | com::sun::star::container::XIndexAccess
| provides access to the data pilot field groups in the collection via index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all data pilot field groups. More...
interface | com::sun::star::container::XNameAccess
| provides access to the data pilot field groups in the collection via name. More...
interface | com::sun::star::container::XNameContainer
| provides read/write access to the data pilot field groups in the collection via name. More...

## Additional Inherited Members
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Protected Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Protected Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...

## Detailed Description

represents a collection of groups in a data pilot field.

The members of this collection are instances of DataPilotFieldGroup containing the names of all items in the group.

See also
  DataPilotField
  DataPilotFieldGroup
  DataPilotFieldGroupInfo

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all data pilot field groups.

See also
  DataPilotFieldGroupsEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the data pilot field groups in the collection via index.

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

provides access to the data pilot field groups in the collection via name.

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer
| optional

provides read/write access to the data pilot field groups in the collection via name.

The com::sun::star::container::XNameContainer and com::sun::star::container::XNameReplace interfaces can be used to manage the item groups. It is possible to insert, remove, and replace item groups.

The method com::sun::star::container::XNameReplace::replaceByName() can be used to replace the item names in an existing group with a new collection of item names. An implementation should support the following data types:

- an empty `any` to remove all items and leave the group empty. The group can be filled later with new item names.
- a `string[]` containing all item names that will be part of the group.
- an object supporting com::sun::star::container::XIndexAccess containing elements that provide an item name per element via the interface com::sun::star::container::XNamed, for example an instance of DataPilotFieldGroup.

The method com::sun::star::container::XNameContainer::insertByName() can be used to insert a new field group with the passed collection of item names. An implementation should support the same data types as described above for the method com::sun::star::container::XNameReplace::replaceByName().

The method com::sun::star::container::XNameContainer::removeByName() can be used to remove an existing field group.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotFieldGroups.idl